Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
openssl_missing.c File Reference
`#include <string.h>`
`#include <openssl/engine.h>`
`#include <openssl/hmac.h>`
`#include <openssl/x509_vfy.h>`
`#include "openssl_missing.h"`

Go to the source code of this file.

## Functions
int | ossl_EC_curve_nist2nid (const char *name)
HMAC_CTX * | ossl_HMAC_CTX_new (void)
void | ossl_HMAC_CTX_free (HMAC_CTX *ctx)
void | ossl_X509_CRL_get0_signature (const X509_CRL *crl, const ASN1_BIT_STRING **psig, const X509_ALGOR **palg)
void | ossl_X509_REQ_get0_signature (const X509_REQ *req, const ASN1_BIT_STRING **psig, const X509_ALGOR **palg)

## Function Documentation

## ◆ ossl_EC_curve_nist2nid()

int ossl_EC_curve_nist2nid | ( | const char * | name | ) |

Definition at line 48 of file openssl_missing.c.

References i.

## ◆ ossl_HMAC_CTX_free()

void ossl_HMAC_CTX_free | ( | HMAC_CTX * | ctx | ) |

Definition at line 75 of file openssl_missing.c.

## ◆ ossl_HMAC_CTX_new()

HMAC_CTX* ossl_HMAC_CTX_new | ( | void |  | ) |

Definition at line 63 of file openssl_missing.c.

References NULL.

## ◆ ossl_X509_CRL_get0_signature()

void ossl_X509_CRL_get0_signature | ( | const X509_CRL * | crl,
|  | const ASN1_BIT_STRING ** | psig,
|  | const X509_ALGOR ** | palg
| ) |  |

Definition at line 86 of file openssl_missing.c.

References NULL.

## ◆ ossl_X509_REQ_get0_signature()

void ossl_X509_REQ_get0_signature | ( | const X509_REQ * | req,
|  | const ASN1_BIT_STRING ** | psig,
|  | const X509_ALGOR ** | palg
| ) |  |

Definition at line 98 of file openssl_missing.c.

References NULL.

## Variable Documentation

## ◆ name

const char* name

Definition at line 27 of file openssl_missing.c.

## ◆ nid

int nid

Definition at line 28 of file openssl_missing.c.